Bug 496926 - Virus database not updated due to an outdated clamav version
Virus database not updated due to an outdated clamav version
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: clamav (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Enrico Scholz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-21 12:41 EDT by Patrick Monnerat
Modified: 2009-12-18 04:18 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:18:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick Monnerat 2009-04-21 12:41:37 EDT
Description of problem:
This is similar to bug 453601, but on Fedora 10.
It requires version 0.95.1 or a long delay to un-blacklist IP.

Version-Release number of selected component (if applicable):
clamav-0.94.2-1.fc10.i386

How reproducible:
See bug 453601

Actual result:
ClamAV update process started at Tue Apr 21 15:57:34 2009
WARNING: Your ClamAV installation is OUTDATED!
WARNING: Local version: 0.94.2 Recommended version: 0.95.1
DON'T PANIC! Read http://www.clamav.net/support/faq
main.cld is up to date (version: 50, sigs: 500667, f-level: 38, builder: sven)
Ignoring mirror 130.59.10.36 (has connected too many times with an outdated version)
Ignoring mirror 193.1.193.64 (has connected too many times with an outdated version)
Ignoring mirror 193.1.193.64 (has connected too many times with an outdated version)
WARNING: getpatch: Can't download daily-9267.cdiff from database.clamav.net
Ignoring mirror 193.1.193.64 (has connected too many times with an outdated version)
Ignoring mirror 130.59.10.36 (has connected too many times with an outdated version)
Ignoring mirror 130.59.10.36 (has connected too many times with an outdated version)
WARNING: getpatch: Can't download daily-9267.cdiff from database.clamav.net
Ignoring mirror 130.59.10.36 (has connected too many times with an outdated version)
Ignoring mirror 193.1.193.64 (has connected too many times with an outdated version)
Ignoring mirror 193.1.193.64 (has connected too many times with an outdated version)
WARNING: getpatch: Can't download daily-9267.cdiff from database.clamav.net
WARNING: Incremental update failed, trying to download daily.cvd
Ignoring mirror 193.1.193.64 (has connected too many times with an outdated version)
Ignoring mirror 130.59.10.36 (has connected too many times with an outdated version)
Ignoring mirror 130.59.10.36 (has connected too many times with an outdated version)
WARNING: Can't download daily.cvd from database.clamav.net
Trying again in 5 secs...
.
.
.
ERROR: Can't download daily.cvd from database.clamav.net
Giving up on database.clamav.net...
Update failed. Your network may be down or none of the mirrors listed in /etc/freshclam.conf is working. Check http://www.clamav.net/support/mirror-problem for possible reasons.

Solution:
version 0.95.1 should be pushed to F10 (too!)
Comment 1 Fedora Update System 2009-04-30 13:25:15 EDT
clamav-0.93.3-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/clamav-0.93.3-3.fc9
Comment 2 Fedora Update System 2009-04-30 13:26:40 EDT
clamav-0.94.2-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/clamav-0.94.2-2.fc10
Comment 3 Fedora Update System 2009-05-02 12:32:26 EDT
clamav-0.94.2-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update clamav'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4133
Comment 4 Fedora Update System 2009-05-02 12:40:28 EDT
clamav-0.93.3-3.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update clamav'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-4202
Comment 5 Michel Duquaine 2009-05-03 03:55:43 EDT
clamav-0.94.2-2.fc10.i386 downloaded from updates-testing + test: result ok
bodhi (http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4133) updated

---
May 03 09:23:57 Updated: clamav-filesystem-0.94.2-2.fc10.i386
May 03 09:23:57 Updated: clamav-data-0.94.2-2.fc10.i386
May 03 09:23:57 Updated: clamav-lib-0.94.2-2.fc10.i386
May 03 09:23:58 Updated: clamav-update-0.94.2-2.fc10.i386
May 03 09:23:59 Updated: clamav-0.94.2-2.fc10.i386


--------------------- clam-update Begin ------------------------ 

 
 Last ClamAV update process started at Fri May  1 09:34:55 2009
 
 Last Status:
    WARNING: Your ClamAV installation is OUTDATED!
    WARNING: Local version: 0.94.2 Recommended version: 0.95.1
    DON'T PANIC! Read http://www.clamav.net/support/faq
    main.cld is up to date (version: 50, sigs: 500667, f-level: 38, builder: sve
n)
    Downloading daily-9307.cdiff [100%]
    Downloading daily-9308.cdiff [100%]
    Downloading daily-9309.cdiff [100%]
    daily.cld updated (version: 9309, sigs: 46158, f-level: 42, builder: guitar)
    WARNING: Your ClamAV installation is OUTDATED!
    WARNING: Current functionality level = 38, recommended = 42
    DON'T PANIC! Read http://www.clamav.net/support/faq
    Database updated (546825 signatures) from database.clamav.net (IP: 130.59.10
.36)
 
 ---------------------- clam-update End -------------------------
Comment 6 Alan Hamilton 2009-07-18 22:01:05 EDT
Also works for me, but we're still behind:

WARNING: Your ClamAV installation is OUTDATED!
WARNING: Local version: 0.94.2 Recommended version: 0.95.2
Comment 7 Abhishek Singh 2009-08-13 01:14:36 EDT
I'm using ClamAv 0.95.1-2.fc11 on a Fedora 11 machine. Even though freshclam does not work for me. The output of "freshclam -v" is:
-----------------------------------------------------------------
Current working dir is /var/lib/clamav
Max retries == 3
ClamAV update process started at Thu Aug 13 10:57:39 2009
Using IPv6 aware code
Querying current.cvd.clamav.net
TTL: 117
Software version from DNS: 0.95.2
WARNING: Your ClamAV installation is OUTDATED!
WARNING: Local version: 0.95.1 Recommended version: 0.95.2
DON'T PANIC! Read http://www.clamav.net/support/faq
main.cvd version from DNS: 51
main.cld is up to date (version: 51, sigs: 545035, f-level: 42, builder: sven)
daily.cvd version from DNS: 9686
Retrieving http://database.clamav.net/daily-9214.cdiff
Trying host database.clamav.net (212.1.60.18)...
Trying to download http://database.clamav.net/daily-9214.cdiff (IP: 212.1.60.18)
nonblock_recv: recv timing out (30 secs)
WARNING: getfile: Error while reading database from database.clamav.net (IP: 212.1.60.18)
WARNING: getpatch: Can't download daily-9214.cdiff from database.clamav.net
Retrieving http://database.clamav.net/daily-9214.cdiff
Ignoring mirror 152.66.249.135 (due to previous errors)
Trying to download http://database.clamav.net/daily-9214.cdiff (IP: 130.133.110.67)
WARNING: getfile: daily-9214.cdiff not found on remote server (IP: 130.133.110.67)
WARNING: getpatch: Can't download daily-9214.cdiff from database.clamav.net
Retrieving http://database.clamav.net/daily-9214.cdiff
Ignoring mirror 85.214.44.186 (due to previous errors)
Ignoring mirror 152.66.249.135 (due to previous errors)
Trying host database.clamav.net (130.133.110.67)...
Trying to download http://database.clamav.net/daily-9214.cdiff (IP: 130.133.110.67)
WARNING: getfile: daily-9214.cdiff not found on remote server (IP: 130.133.110.67)
WARNING: getpatch: Can't download daily-9214.cdiff from database.clamav.net
WARNING: Incremental update failed, trying to download daily.cvd
Whitelisting short-term blacklisted mirrors
Retrieving http://database.clamav.net/daily.cvd
Ignoring mirror 152.66.249.135 (due to previous errors)
Trying host database.clamav.net (130.133.110.67)...
Trying to download http://database.clamav.net/daily.cvd (IP: 130.133.110.67)
Downloading daily.cvd [100%]
WARNING: Mirror 130.133.110.67 is not synchronized.
Trying again in 5 secs...
ClamAV update process started at Thu Aug 13 10:58:25 2009
Using IPv6 aware code
Querying current.cvd.clamav.net
TTL: 72
Software version from DNS: 0.95.2
WARNING: Your ClamAV installation is OUTDATED!
WARNING: Local version: 0.95.1 Recommended version: 0.95.2
DON'T PANIC! Read http://www.clamav.net/support/faq
main.cvd version from DNS: 51
main.cld is up to date (version: 51, sigs: 545035, f-level: 42, builder: sven)
daily.cvd version from DNS: 9686
Retrieving http://database.clamav.net/daily-9214.cdiff
Ignoring mirror 80.69.67.43 (due to previous errors)
Ignoring mirror 152.66.249.135 (due to previous errors)
Trying host database.clamav.net (130.133.110.67)...
Trying to download http://database.clamav.net/daily-9214.cdiff (IP: 130.133.110.67)
WARNING: getfile: daily-9214.cdiff not found on remote server (IP: 130.133.110.67)
WARNING: getpatch: Can't download daily-9214.cdiff from database.clamav.net
Retrieving http://database.clamav.net/daily-9214.cdiff
Ignoring mirror 217.135.32.99 (due to previous errors)
Ignoring mirror 80.69.67.43 (due to previous errors)
Ignoring mirror 152.66.249.135 (due to previous errors)
Trying host database.clamav.net (130.133.110.67)...
Trying to download http://database.clamav.net/daily-9214.cdiff (IP: 130.133.110.67)
WARNING: getfile: daily-9214.cdiff not found on remote server (IP: 130.133.110.67)
WARNING: getpatch: Can't download daily-9214.cdiff from database.clamav.net
Retrieving http://database.clamav.net/daily-9214.cdiff
Ignoring mirror 217.19.16.188 (due to previous errors)
Ignoring mirror 217.135.32.99 (due to previous errors)
Ignoring mirror 80.69.67.43 (due to previous errors)
Ignoring mirror 152.66.249.135 (due to previous errors)
Trying host database.clamav.net (130.133.110.67)...
Trying to download http://database.clamav.net/daily-9214.cdiff (IP: 130.133.110.67)
WARNING: getfile: daily-9214.cdiff not found on remote server (IP: 130.133.110.67)
WARNING: getpatch: Can't download daily-9214.cdiff from database.clamav.net
WARNING: Incremental update failed, trying to download daily.cvd
Whitelisting short-term blacklisted mirrors
Retrieving http://database.clamav.net/daily.cvd
Ignoring mirror 152.66.249.135 (due to previous errors)
Trying to download http://database.clamav.net/daily.cvd (IP: 212.1.60.18)
Downloading daily.cvd [100%]
WARNING: Mirror 212.1.60.18 is not synchronized.
Trying again in 5 secs...
ClamAV update process started at Thu Aug 13 10:58:30 2009
Using IPv6 aware code
Querying current.cvd.clamav.net
TTL: 67
Software version from DNS: 0.95.2
WARNING: Your ClamAV installation is OUTDATED!
WARNING: Local version: 0.95.1 Recommended version: 0.95.2
DON'T PANIC! Read http://www.clamav.net/support/faq
main.cvd version from DNS: 51
main.cld is up to date (version: 51, sigs: 545035, f-level: 42, builder: sven)
daily.cvd version from DNS: 9686
Retrieving http://database.clamav.net/daily-9214.cdiff
Ignoring mirror 195.228.75.149 (due to previous errors)
Ignoring mirror 152.66.249.135 (due to previous errors)
Trying host database.clamav.net (212.1.60.18)...
Trying to download http://database.clamav.net/daily-9214.cdiff (IP: 212.1.60.18)
WARNING: getfile: daily-9214.cdiff not found on remote server (IP: 212.1.60.18)
WARNING: getpatch: Can't download daily-9214.cdiff from database.clamav.net
Retrieving http://database.clamav.net/daily-9214.cdiff
Ignoring mirror 194.109.6.97 (due to previous errors)
Ignoring mirror 195.228.75.149 (due to previous errors)
Ignoring mirror 152.66.249.135 (due to previous errors)
Trying host database.clamav.net (212.1.60.18)...
Trying to download http://database.clamav.net/daily-9214.cdiff (IP: 212.1.60.18)
WARNING: getfile: daily-9214.cdiff not found on remote server (IP: 212.1.60.18)
WARNING: getpatch: Can't download daily-9214.cdiff from database.clamav.net
Retrieving http://database.clamav.net/daily-9214.cdiff
Ignoring mirror 193.1.193.64 (due to previous errors)
Ignoring mirror 194.109.6.97 (due to previous errors)
Ignoring mirror 195.228.75.149 (due to previous errors)
Ignoring mirror 152.66.249.135 (due to previous errors)
Trying host database.clamav.net (212.1.60.18)...
Trying to download http://database.clamav.net/daily-9214.cdiff (IP: 212.1.60.18)
WARNING: getfile: daily-9214.cdiff not found on remote server (IP: 212.1.60.18)
ERROR: getpatch: Can't download daily-9214.cdiff from database.clamav.net
WARNING: Incremental update failed, trying to download daily.cvd
Whitelisting short-term blacklisted mirrors
Retrieving http://database.clamav.net/daily.cvd
Trying host database.clamav.net (212.1.60.18)...
Trying to download http://database.clamav.net/daily.cvd (IP: 212.1.60.18)
Downloading daily.cvd [100%]
WARNING: Mirror 212.1.60.18 is not synchronized.
Giving up on database.clamav.net...
Update failed. Your network may be down or none of the mirrors listed in /etc/freshclam.conf is working. Check http://www.clamav.net/support/mirror-problem for possible reasons.
----------------------------------------------------------------------
I'm unable to understand if my virus definitions are updated or not. Using ClamTK, it shows the virus definitions to be of 08 April 2009.
Comment 8 Anthony Cartmell 2009-10-14 04:24:42 EDT
yum --enablerepo=updates-testing update clamav

seems to work OK for me on FC10. Some temporary warnings about not being able to download incremental updates (which makes sense) but otherwise fine so far.
Comment 9 Bug Zapper 2009-11-18 05:00:12 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-12-18 04:18:36 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.